%define major	15
%define package_name gtkhtml
%define api_version 3.8
%define lib_name %mklibname %{package_name}- %{api_version} %{major}

Summary:	HTML rendering/editing library
Name:		%{package_name}-%{api_version}-compat
Version: 3.13.5
Release: %mkrel 2
%define subrel 1
Epoch: 1
License:	LGPL
Group:		Graphical desktop/GNOME
Source0: http://ftp.gnome.org/pub/GNOME/sources/gtkhtml/%{package_name}-%{version}.tar.bz2
Patch0:		G_STRFUNC_transition.patch
URL:		http://ftp.gnome.org/pub/gnome/sources/gtkhtml/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libgnomeui2-devel
BuildRequires:	gail-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	libgnomeprintui-devel >= 2.7.0
BuildRequires:	libsoup-devel >= 2.1.6
BuildRequires:	gnome-icon-theme >= 1.2.0
BuildRequires:	perl-XML-Parser
Requires:	%{lib_name} >= %epoch:%{version}


%description 
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%package -n %{lib_name}
Summary:        Libraries for GtkHTML
Group:          System/Libraries

%description -n %{lib_name}
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains libraries used by GtkHTML.

%package -n %{lib_name}-devel
Summary:        Development libraries, header files and utilities for GtkHTML
Group:          Development/GNOME and GTK+
Requires:       %{lib_name} = %epoch:%{version}
Provides:	lib%{package_name}-%{api_version}-devel = %epoch:%{version}-%{release}
Provides:	%name-devel = %epoch:%version
# to be removed soon
Obsoletes:	%{_lib}gtkhtml-3.1_4-devel
Provides:	%{_lib}gtkhtml-3.1_4-devel

%description -n %{lib_name}-devel
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains the files necessary to develop applications with GtkHTML.

%prep
%setup -q -n %{package_name}-%{version}
%patch0 -p1

%build

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
# remove unpackaged files
rm -rf %buildroot%_libdir/gtkhtml  %buildroot%_libdir/bonobo %buildroot%_datadir/

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}
%postun -p /sbin/ldconfig -n %{lib_name}

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/libgtkhtml-%{api_version}.so.%{major}*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(644,root,root) %{_libdir}/*a
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*




%changelog
* Sun Jul 20 2008 Funda Wang <fundawang@mandriva.org> 1:3.13.5-2mdv2008.1
+ Revision: 238906
- sync with ubuntu's patch (fix bug#42025)

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1:3.13.5-1mdv2008.1
+ Revision: 140743
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Mar 06 2007 Götz Waschk <waschk@mandriva.org> 3.13.5-1mdv2007.0
+ Revision: 133766
- fix doc file list
- version 3.13.5
- branch compat package
- new version
- new version
- new version
- bot rebuild
- fix buildrequires again
- fix buildrequires
- new version
- new version
- Import gtkhtml-3.8

  + mandrake <mandrake>
    - %%repsys markrelease
      version: 3.13.6
      release: 1mdv2007.1
      revision: 112048
      Copying 3.13.6-1mdv2007.1 to releases/ directory.

